import javax.naming.*;
import java.util.Hashtable;

/**
  * Demonstrates how to remove a binding.
  * (Use after SerObj, RefObj, or DirObj examples).
  * 
  * usage: java Unbind <name>
  */
class Unbind {
    public static void main(String[] args) {
	if (args.length != 1) {
	    System.err.println("usage: java Unbind <name>");
	    System.exit(-1);
	}

	// Set up environment for creating initial context
	Hashtable env = new Hashtable(11);
	env.put(Context.INITIAL_CONTEXT_FACTORY, 
	    "com.sun.jndi.ldap.LdapCtxFactory");
	env.put(Context.PROVIDER_URL, "ldap://localhost:389/o=JNDITutorial");

	try {
	    // Create the initial context
	    Context ctx = new InitialContext(env);

	    // Remove binding
	    ctx.unbind(args[0]);

	} catch (NamingException e) {
	    System.out.println("Operation failed: " + e);
	}
    }
}
